import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot und MouseInfo)

public class Aquarium extends World
{
    private GreenfootSound soundBackgroundmusic = new GreenfootSound("Piano_Menu_Music.mp3");
    public Aquarium()
    {    
        super(1080, 608, 1); 
        this.prepare();
        this.setPaintOrder(BlubberblaseMedium.class, Fisch.class, BlubberblaseGross.class, BlubberblaseKlein.class);
        this.showText("Klick auf einen Fisch für detailliertere Informationen.", this.getWidth()/2, 40);
    }

    public void act()
    {
        if(Greenfoot.getRandomNumber(10000) > 9800)
        {
            BlubberblaseKlein b = new BlubberblaseKlein();
            this.addObject(b, Greenfoot.getRandomNumber(this.getWidth()), this.getHeight());
        }
        if(Greenfoot.getRandomNumber(10000) > 9971)
        {
            BlubberblaseGross b = new BlubberblaseGross();
            this.addObject(b, Greenfoot.getRandomNumber(this.getWidth()), this.getHeight());
        }
        if(Greenfoot.getRandomNumber(10000) > 9920)
        {
            BlubberblaseMedium b = new BlubberblaseMedium();
            this.addObject(b, Greenfoot.getRandomNumber(this.getWidth()), this.getHeight());
        }
    }

    public void started()
    {
        this.soundBackgroundmusic.play();
    }

    public void stopped()
    {
        this.soundBackgroundmusic.stop();
    }
    private void prepare()
    {
        FischFlosse fischFlosse = new FischFlosse();
        addObject(fischFlosse,102,364);
        FischGelbWeiss fischGelbWeiss = new FischGelbWeiss();
        addObject(fischGelbWeiss,916,143);
        FischGelbWeiss fischGelbWeiss2 = new FischGelbWeiss();
        addObject(fischGelbWeiss2,692,442);
        FischGelb fischGelb = new FischGelb();
        addObject(fischGelb,302,212);
        Oktopus o = new Oktopus();
        this.addObject(o, 1010, 566);
    }
}