import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot und MouseInfo)
import java.util.*;

public class FischGelb extends Actor
{
    // Attribute
    private int geschwindigkeit;
    private boolean schautNachRechts;
    private String name;
    // Konstruktor
    public FischGelb()
    {
        this.name = "Gelbfisch";
        Random zufall = new Random();
        this.schautNachRechts = zufall.nextBoolean();
        this.geschwindigkeit = Greenfoot.getRandomNumber(2) + 2;

        if(!this.schautNachRechts)
        {
            this.invertieren();
        }
    }
    // Methoden
    public void act() 
    {
        this.checkMausklickNameSagen();
        this.bewegen();
        if(this.isAtEdge())
        {
            this.umdrehen();
        }
    } 

    public void checkMausklickNameSagen()
    {
        if(Greenfoot.mouseClicked(this))
        {
            this.getWorld().showText("Das ist: " + this.name, this.getWorld().getWidth()/2, 40);
            Greenfoot.delay(70);
            this.getWorld().showText("", this.getWorld().getWidth()/2, 40);
        }
    }

    public void umdrehen()
    {
        if(this.schautNachRechts) {
            this.schautNachRechts = false;
        }
        this.invertieren();

    }

    public void invertieren()
    {
        this.getImage().mirrorHorizontally();
        this.geschwindigkeit = -this.geschwindigkeit;
    }

    public void bewegen()
    {
        this.move(this.geschwindigkeit);    
    }
}